Subject: Re: bug#55491: All completion fragments get added to obarray

From: Richard Stallman <[email-masked]>
Date: Wed, 18 May 2022 18:19:48 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Completion in emacs-lisp-mode doesn't take unbound variables into
  > account, I think?  So putting stuff into the obarray shouldn't have much
  > (if any) noticeable effect.

If it's a really large number of fragments, they could make `intern' slower.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)